The PokéCommunity Forums Fan Games Game Development Pokémon Essentials
Custom Scripts Question snapScreen visual bug

Pokémon Essentials All questions and discussion about Pokémon Essentials, the Pokémon game kit for RPG Maker XP, go in here. Also contains links to the latest downloads and the Essentials Wiki.


Reply
 
Thread Tools
  #1    
Old 4 Days Ago (3:48 PM). Edited 4 Days Ago by xTHx.
xTHx's Avatar
xTHx xTHx is online now
     
    Join Date: Dec 2013
    Gender: Male
    Nature: Calm
    Posts: 20
    Hello everyone, TH here!
    Ok, I'm getting a visual bug on my project and I need a Helping Hand to fix that.

    I'm Using Elite Battle System's Entry animations for my project, because the vs animation are so good, and I can't let it pass. But, when the method snapScreen are called and executed, the screen appear like that:
    Spoiler:

    Instead of that:
    Spoiler:


    The screenshot are resizing to the top screen scale instead the full scale of the window.

    My main project are on the Klein's BW Kit, and I know this kit has a custom spriteset script. I want a help to fix this bug. I Tryed to modify the script to resize the screenshot to screen, but still the same.


    Note: I know the Klein's kit is not fully compatible with the EBS since 2016, and that are made over a Pokémon Essentials 16v, but the EBS's EntryAnimation are made to use with or without the full EBS system.

    Is that. If someone can help me to fix that, I'll be very thankfull.
    Thanks for you attention here :3
    See ya~
    Reply With Quote

    Relevant Advertising!

      #2    
    Old 4 Days Ago (6:36 PM).
    Diverscope's Avatar
    Diverscope Diverscope is online now
    Pardon me
       
      Join Date: Apr 2013
      Location: Germany
      Gender: Male
      Nature: Rash
      Posts: 107
      Quote:
      Originally Posted by xTHx View Post
      Note: I know the Klein's kit is not fully compatible with the EBS since 2016, and that are made over a Pokémon Essentials 16v [...]
      You're wrong. Kleins BW Kit is made with Essentials v15, so it's even older. I think it's a little bit far fetched to expect that those two are compatible.
      __________________
      Reply With Quote
      Reply

      Quick Reply

      Join the conversation!

      Create an account to post a reply in this thread, participate in other discussions, and more!

      Create a PokéCommunity Account

      Sponsored Links
      Thread Tools

      Posting Rules
      You may not post new threads
      You may not post replies
      You may not post attachments
      You may not edit your posts

      BB code is On
      Smilies are On
      [IMG] code is On
      HTML code is Off

      Forum Jump


      All times are GMT -8. The time now is 1:10 PM.